#!/bin/bash
#
# Equitrac "re-start DRC" script
#
# requires root privileges to run successfully
#
# to run:
# 1. login with Admin account;
# 2. open Terminal application;
# 3. type sudo ;
# 4. drug and drop EQRestartDRC.sh from Finder into Terminal window;
# 5. press Enter;
# 6. type Admin account password.

declare -i iErr=0

########### DRC ###########

strDRCPID=$(ps -awwxjc | grep eqdrcd | awk '{print $2}')
strDRCPID_New=$strDRCPID

if [ "$strDRCPID" != "" ] ; then

	echo "Stopping DRC. PID = " $strDRCPID

	kill -TERM $strDRCPID

	declare -i iWaitCount=0 

	while [ "$strDRCPID" == "$strDRCPID_New" -a $iWaitCount -lt 30 ] ; do
		echo "Waiting 1 sec for DRC to stop..."
		sleep 1
		iWaitCount=$iWaitCount+1
		strDRCPID_New=$(ps -awwxjc | grep eqdrcd | awk '{print $2}')
	done
	
	if [ "$strDRCPID_New" == "" ] ; then
		
		# launchd will launch drc so just wait
		iWaitCount=0
		while [ "$strDRCPID_New" == "" -a $iWaitCount -lt 30 ] ; do
			echo "Waiting 1 sec for DRC to start..."
			sleep 1
			iWaitCount=$iWaitCount+1
			strDRCPID_New=$(ps -awwxjc | grep eqdrcd | awk '{print $2}')
		done
		
		if [ "$strDRCPID_New" != "" ] ; then
			echo "DRC re-started. PID = " $strDRCPID_New
		else
			echo "DRC did not start - wait time expired."
			exit -1
		fi

	elif [ "$strDRCPID" != "$strDRCPID_New" ] ; then 
		echo "DRC re-started. PID = " $strDRCPID_New
	else
		echo "DRC did not restart - wait time expired."
		exit -1
	fi

else
	echo "DRC is not running."
fi

exit 0
